Subject: Re: [PATCH net-next v11 03/14] net: Add lease info to queue-get response

From: Jakub Kicinski <[email-masked]>
Date: Thu, 9 Apr 2026 07:46:51 -0700

On Thu, 9 Apr 2026 15:52:42 +0200 Daniel Borkmann wrote:
> >> Signed-off-by: Jakub Kicinski <[email-masked]>  
> > Thanks for looking into it! That looks good to me. I've also retested that
> > it still works.
> > 
> > Maybe small nits could be below to move the netif_is_queue_leasee into the
> > netdev_rx_queue.h header since its used outside of core and it might be
> > worth to also have the lock assertion in netdev_queue_get_dma_dev.

I suspected it may irk you :) No strong preference on the placement.
We do include the ../core/dev.h in a couple of places but agreed that
it is slightly ugly.

> > Do you want me to add your patch on top for a v12 of the series?

Yes, please. Let's get it into 7.1. 

I think the test has to be reworked but of the available options seems
like merging it as is and following up quickly is the best. I've only
set up the container testing in our CI yesterday anyway so there may
be more things that need changing in the test as we gain experience :S